Subject: [fwtk-users] Installation problems

From: "Takacs Istvan" <[email-masked]>
Date: Fri, 1 Feb 2002 09:55:49 +0100

Hi

I tried to compile fwtk 2.1 on Red Hat Linux 7.2
I need just http-gw so I commented out the x-gw
options in Makefile.conf.linux then I moved this
file to Makefile.conf
When I run make, it sends an error message
which complains to ndbm.h...

cc -g -static -o authmgr authmgr.o ../libauth.a ../libfwall.a
cc -I.. -g -DLINUX   -c -o authsrv.o authsrv.c
cc -I.. -g -DLINUX   -c proto.c
cc -I.. -g -DLINUX   -c -o db.o db.c
db.c:16:25: ndbm.h: No such file or directory
make[1]: *** [db.o] Error 1
make[1]: Leaving directory `/usr/src/fwtk/auth'

[...]

and the hole make process hangs up with
x-gw error;

make[1]: Entering directory `/usr/src/fwtk/x-gw'
cc -I.. -g -DLINUX -I   -c -o child.o child.c
In file included from child.c:14:
ulib.h:26:27: X11/Intrinsic.h: No such file or directory
ulib.h:64:9: warning: extra tokens at end of #endif directive
make[1]: *** [child.o] Error 1
make[1]: Leaving directory `/usr/src/fwtk/x-gw'
make: *** [all] Error 2

What should I do to not use the X11 libs and
how can I compile the package with ndbm.h?

Thanks in advance!

Regards,

                  Istvan 

---
You are currently subscribed to fwtk-users as: [email-masked]
To unsubscribe send a blank email to [email-masked]